EnKash Developer Portal
Home
Home
Login
  1. Order
  • Back to home
  • APIs - Payment Gateway
  • Authorization
    • Generate Authorization Token
    • Payment Modes Details
  • Order
    • UPI Intent Links
      GET
    • Get Dynamic UPI QR
      GET
    • Create Order
      POST
    • Get Order Status
      GET
    • Get Order By Merchant Order Id
      GET
    • Get BNPL Payment Methods
      GET
    • Search Order
      POST
  • Payment
    • Get Transaction Status
    • Submit Payment Request
    • Payment Notify Request
    • Verify UPI VPA
    • Validate OTP
    • Get UPI Transaction Status
    • Resend OTP
    • Search Transaction
  • Refund
    • Refund
    • Get Refund Transaction Status
    • Refund Webhook Request
  • Settlement
    • Get Settlement Payout By ID
    • Search Settlement Payouts
  • Split Settlement
    • Get All Split Settlement Account
    • Deactivate Split Settlement Account
    • Submit Payment with Split Details
    • Activate Split Settlement Account
    • Edit Or Deferred Split Settlement
    • Create Split Settlement Account
    • Update Split Settlement Account
    • Get IntentLink/QrCode with Split details
  • E-Commerce Plugins
  • UPI QR
    • Create UPI QR
    • Get UPI QR
    • Search UPI QR
    • Create Customer
    • Search Customer
    • Cancel UPI QR
  • UPI Autopay
    • Mocking & Simulator (UAT)
    • Create UPI Mandate
    • Update UPI Mandate
    • Revoke UPI Mandate
    • Get UPI Mandate
    • UPI Mandate Callback
    • Mandate Pre-debit Notification
    • Execute Mandate Debit
    • Mandate Debit Callback
  • Payment Links
    • Payment Link APIs
    • Create Payment Link
    • Get Payment Link Details
    • Delete Payment Link
    • Webhook Request
  • E-Collect
    • Create Virtual Account
    • View Virtual Account by Id
    • Update Virtual Account
    • View Virtual Account by Account Number
    • Search Virtual Account
    • Search Transactions
    • View Virtual Account by Customer Reference Id
  1. Order

Get Order By Merchant Order Id

GET
/api/v0/orders
📌
Use this API to retrieve the status of an order by providing the merchantOrderId. This allows you to track the order’s progress based on your internal reference ID and keep your application or users updated accordingly.

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://olympus-pg-uat.enkash.in/api/v0/orders?merchantOrderId=MOI76545678' \
--header 'merchantAccessKey;' \
--header 'Authorization;'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "response_code": 0,
    "response_message": "Success",
    "payload": {
        "orderId": "ORD1772087623322Ie8SR",
        "created": "2026-02-26 12:03:43",
        "lastModified": "2026-02-26 12:05:22",
        "merchantOrderId": "RANDO0MID123",
        "merchantIdentifierKey": "ZJjAg195FnUlR1535",
        "amount": 100.00,
        "currency": "INR",
        "returnUrl": "https://glaring-version.net/",
        "notifyUrl": "https://inconsequential-annual.biz/",
        "status": "PAID",
        "customerInfo": {
            "firstName": "Merlin",
            "lastName": "Collins",
            "email": "Emmitt37@yahoo.com",
            "phoneNumber": "9889890909"
        },
        "orderDate": "2026-02-26 12:03:43",
        "transactions": [
            {
                "transactionId": "EK1772087711864KPsOb",
                "created": "2026-02-26 12:05:11",
                "lastModified": "2026-02-26 12:05:22",
                "type": "SALE",
                "amount": 100.00,
                "currency": "INR",
                "status": "SUCCESS",
                "paymentDetail": {
                    "paymentMode": "CREDIT_CARD",
                    "cardHolderName": "test",
                    "cardNumber": "XXXX XXXX XXXX 6743",
                    "expiry": "12/2028",
                    "cardType": "CREDIT_CARD",
                    "cardSchemeType": "MASTERCARD",
                    "bankName": "JACK HENRY & ASSOCIATES",
                    "paymentToken": "154ffeffd0223ca9acf6",
                    "enkashPgCode": "PAPG_MOCK"
                },
                "txnMessage": "Completed.",
                "txnDate": "2026-02-26 12:05:22",
                "surcharge": 0.0000,
                "surchargeGst": 0.0000,
                "productCode": "DEFAULT",
                "merchantOrderId": "RANDO0MID123"
            }
        ],
        "merchantName": "Vaishali Pawar",
        "productCode": "DEFAULT"
    }
}
🔴504Bad Gateway
Modified at 2026-03-03 19:40:36
Previous
Get Order Status
Next
Get BNPL Payment Methods
Built with